(function (deckyFrontendLib, React) {
  'use strict';

  function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

  var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

  var DefaultContext = {
    color: undefined,
    size: undefined,
    className: undefined,
    style: undefined,
    attr: undefined
  };
  var IconContext = React__default["default"].createContext && React__default["default"].createContext(DefaultContext);

  var __assign = window && window.__assign || function () {
    __assign = Object.assign || function (t) {
      for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
      return t;
    };
    return __assign.apply(this, arguments);
  };
  var __rest = window && window.__rest || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
      if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
    }
    return t;
  };
  function Tree2Element(tree) {
    return tree && tree.map(function (node, i) {
      return React__default["default"].createElement(node.tag, __assign({
        key: i
      }, node.attr), Tree2Element(node.child));
    });
  }
  function GenIcon(data) {
    // eslint-disable-next-line react/display-name
    return function (props) {
      return React__default["default"].createElement(IconBase, __assign({
        attr: __assign({}, data.attr)
      }, props), Tree2Element(data.child));
    };
  }
  function IconBase(props) {
    var elem = function (conf) {
      var attr = props.attr,
        size = props.size,
        title = props.title,
        svgProps = __rest(props, ["attr", "size", "title"]);
      var computedSize = size || conf.size || "1em";
      var className;
      if (conf.className) className = conf.className;
      if (props.className) className = (className ? className + " " : "") + props.className;
      return React__default["default"].createElement("svg", __assign({
        stroke: "currentColor",
        fill: "currentColor",
        strokeWidth: "0"
      }, conf.attr, attr, svgProps, {
        className: className,
        style: __assign(__assign({
          color: props.color || conf.color
        }, conf.style), props.style),
        height: computedSize,
        width: computedSize,
        xmlns: "http://www.w3.org/2000/svg"
      }), title && React__default["default"].createElement("title", null, title), props.children);
    };
    return IconContext !== undefined ? React__default["default"].createElement(IconContext.Consumer, null, function (conf) {
      return elem(conf);
    }) : elem(DefaultContext);
  }

  // THIS FILE IS AUTO GENERATED
  function FaRocket (props) {
    return GenIcon({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M505.12019,19.09375c-1.18945-5.53125-6.65819-11-12.207-12.1875C460.716,0,435.507,0,410.40747,0,307.17523,0,245.26909,55.20312,199.05238,128H94.83772c-16.34763.01562-35.55658,11.875-42.88664,26.48438L2.51562,253.29688A28.4,28.4,0,0,0,0,264a24.00867,24.00867,0,0,0,24.00582,24H127.81618l-22.47457,22.46875c-11.36521,11.36133-12.99607,32.25781,0,45.25L156.24582,406.625c11.15623,11.1875,32.15619,13.15625,45.27726,0l22.47457-22.46875V488a24.00867,24.00867,0,0,0,24.00581,24,28.55934,28.55934,0,0,0,10.707-2.51562l98.72834-49.39063c14.62888-7.29687,26.50776-26.5,26.50776-42.85937V312.79688c72.59753-46.3125,128.03493-108.40626,128.03493-211.09376C512.07526,76.5,512.07526,51.29688,505.12019,19.09375ZM384.04033,168A40,40,0,1,1,424.05,128,40.02322,40.02322,0,0,1,384.04033,168Z"}}]})(props);
  }function FaStar (props) {
    return GenIcon({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M259.3 17.8L194 150.2 47.9 171.5c-26.2 3.8-36.7 36.1-17.7 54.6l105.7 103-25 145.5c-4.5 26.3 23.2 46 46.4 33.7L288 439.6l130.7 68.7c23.2 12.2 50.9-7.4 46.4-33.7l-25-145.5 105.7-103c19-18.5 8.5-50.8-17.7-54.6L382 150.2 316.7 17.8c-11.7-23.6-45.6-23.9-57.4 0z"}}]})(props);
  }function FaRegStar (props) {
    return GenIcon({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M528.1 171.5L382 150.2 316.7 17.8c-11.7-23.6-45.6-23.9-57.4 0L194 150.2 47.9 171.5c-26.2 3.8-36.7 36.1-17.7 54.6l105.7 103-25 145.5c-4.5 26.3 23.2 46 46.4 33.7L288 439.6l130.7 68.7c23.2 12.2 50.9-7.4 46.4-33.7l-25-145.5 105.7-103c19-18.5 8.5-50.8-17.7-54.6zM388.6 312.3l23.7 138.4L288 385.4l-124.3 65.3 23.7-138.4-100.6-98 139-20.2 62.2-126 62.2 126 139 20.2-100.6 98z"}}]})(props);
  }

  class Settings {
      constructor(sAPI, startingSettings = {}) {
          //@ts-ignore
          this.createNewShortcut = false;
          //@ts-ignore
          this.useGridDB = false;
          //@ts-ignore
          this.gridDBKey = "";
          //@ts-ignore
          this.enableAll = false;
          //@ts-ignore
          this.starredApps = [];
          this.sAPI = sAPI;
          this.setMultiple(startingSettings);
      }
      set(key, value) {
          if (this.hasOwnProperty(key)) {
              this[key] = value;
              this.writeChange(key, value);
          }
          return this;
      }
      setMultiple(settings) {
          Object.keys(settings).forEach(key => {
              this.set(key, settings[key]);
          });
          return this;
      }
      get(key) {
          return this[key];
      }
      readSettings() {
          return new Promise((resolve, reject) => {
              this.sAPI.callPluginMethod("get_config", {}).then(result => {
                  if (result.success) {
                      this.setMultiple(result.result);
                      resolve(this);
                  }
                  else {
                      reject();
                  }
              });
          });
      }
      writeChange(key, value) {
          this.sAPI.callPluginMethod("set_config_value", { key: key, value: value });
      }
  }

  class GridDBPanel extends React.Component {
      constructor(props) {
          super(props);
      }
      render() {
          if (this.props.enabled) {
              return (window.SP_REACT.createElement(deckyFrontendLib.ButtonItem, { onClick: () => {
                      deckyFrontendLib.showModal(window.SP_REACT.createElement(deckyFrontendLib.ModalRoot, { bAllowFullSize: true },
                          window.SP_REACT.createElement(deckyFrontendLib.TextField, { label: "SteamGridDB Key", value: this.props.key, onChange: (e) => { this.props.updateKey(e?.target.value); } })));
                  } }, "Set New SteamGridDB API Key"));
          }
          return null;
      }
  }
  function apiRequest(sAPI, key, endpoint, data) {
      return new Promise((resolve, reject) => {
          sAPI.fetchNoCors(`https://www.steamgriddb.com/api/v2${endpoint}/${encodeURIComponent(data)}`, {
              method: "GET",
              headers: {
                  "Authorization": `Bearer ${key}`,
                  "User-Agent": "SDH-QuickLaunch",
                  "Content-Type": "application/json"
              }
          })
              .then(res => {
              if (res.success) {
                  resolve(JSON.parse(res.result.body));
              }
              else {
                  reject(res.result);
              }
          });
      });
  }
  function downloadImageB64(sAPI, url) {
      return new Promise((resolve, reject) => {
          sAPI.callPluginMethod("get_req_imgb64", { url: url })
              .then(async (res) => {
              if (!res.success)
                  reject(res.result);
              let chunk = res.result;
              let imgB64 = chunk.data;
              while (!chunk.is_last) {
                  let res = await sAPI.callPluginMethod("receive_next_chunk", {});
                  if (!res.success)
                      reject(res.result);
                  chunk = res.result;
                  imgB64 += chunk.data;
              }
              resolve(imgB64);
          });
      });
  }
  const searchGame = (sAPI, key, gameName) => apiRequest(sAPI, key, "/search/autocomplete", gameName);
  const getGrids = (sAPI, key, gameID) => apiRequest(sAPI, key, "/grids/game", gameID);
  const getHeroes = (sAPI, key, gameID) => apiRequest(sAPI, key, "/heroes/game", gameID);
  const getLogos = (sAPI, key, gameID) => apiRequest(sAPI, key, "/logos/game", gameID);
  //const getIcons   = (sAPI: ServerAPI, key: string, gameID: number)   => apiRequest(sAPI, key, "/icons/game",          gameID)   as Promise<ImageAPIResponse>
  //const getGridH   = (sAPI: ServerAPI, key: string, gameID: number)   => apiRequest(sAPI, key, "/grids/game",          gameID)   as Promise<ImageAPIResponse>
  function getImagesForGame(sAPI, key, gameName) {
      return new Promise((resolve, reject) => {
          searchGame(sAPI, key, gameName)
              .then(res => {
              if (!res.data[0])
                  reject("No results found");
              let id = res.data[0].id;
              let images = { Grid: null, Hero: null, Logo: null, GridH: null };
              getGrids(sAPI, key, id)
                  .then(res => downloadImageB64(sAPI, res.data[0].url))
                  .then(img => {
                  images.Grid = img;
                  return getHeroes(sAPI, key, id);
              })
                  .then(res => downloadImageB64(sAPI, res.data[0].url))
                  .then(img => {
                  images.Hero = img;
                  return getLogos(sAPI, key, id);
              })
                  .then(res => downloadImageB64(sAPI, res.data[0].url))
                  .then(img => {
                  images.Logo = img;
                  resolve(images);
              })
                  .catch(err => reject(err));
          })
              .catch(err => reject(err));
      });
  }

  const createShortcut = (name, launchOptions = "", target = "") => {
      return SteamClient.Apps.AddShortcut(name, "/usr/bin/ifyouseethisyoufoundabug", target, launchOptions); //The Part after the last Slash does not matter because it should always be replaced when launching an app
  };
  const gameIDFromAppID = (appid) => {
      //@ts-ignore
      let game = appStore.GetAppOverviewByAppID(appid);
      if (game !== null) {
          return game.m_gameid;
      }
      else {
          return -1;
      }
  };
  async function fetchApps(sAPI, type) {
      const result = await sAPI.callPluginMethod(`get_${type}`, {});
      let apps = [];
      if (result.success) {
          let appsDict = new Map();
          for (let app of JSON.parse(result.result)) {
              if (app.name !== "" && !appsDict.has(app.name)) {
                  appsDict.set(app.name, app);
              }
          }
          // map values to list
          apps = Array.from(appsDict.values()).sort((a, b) => a.name.localeCompare(b.name));
      }
      return apps;
  }
  const getShortcutID = async (sAPI) => {
      const result = await sAPI.callPluginMethod("get_id", {});
      if (result.success) {
          let id = result.result;
          if (id == -1) {
              id = await createShortcut("QuickLaunch");
              sAPI.callPluginMethod("set_id", { id: id });
          }
          else if (await gameIDFromAppID(id) == -1) {
              id = await createShortcut("QuickLaunch");
              sAPI.callPluginMethod("set_id", { id: id });
          }
          return id;
      }
      return -1;
  };

  function getLaunchOptions(app) {
      let launchOptions = app.exec.split(" ");
      launchOptions.shift();
      return launchOptions.join(" ");
  }
  function getTarget(app) {
      let target = app.exec.split(" ");
      return target[0];
  }

  async function launchApp(sAPI, app) {
      let id = await getShortcutID(sAPI);
      SteamClient.Apps.SetShortcutName(id, `[QL] ${app.name}`);
      SteamClient.Apps.SetShortcutLaunchOptions(id, getLaunchOptions(app));
      SteamClient.Apps.SetShortcutExe(id, `"${getTarget(app)}"`);
      SteamClient.Apps.SpecifyCompatTool(id, app.compatTool === undefined ? "" : app.compatTool);
      setTimeout(() => {
          let gid = gameIDFromAppID(id);
          SteamClient.Apps.RunGame(gid, "", -1, 100);
      }, 500);
  }
  function createAppShortcut(sAPI, app, settings, launchOptions, target) {
      let shortcutLaunchOptions = launchOptions === undefined ? getLaunchOptions(app) : launchOptions;
      let shortcutTarget = target === undefined ? getTarget(app) : target;
      createShortcut(app.name, shortcutLaunchOptions, shortcutTarget).then((id) => {
          if (settings.get("useGridDB")) {
              getImagesForGame(sAPI, settings.get("gridDBKey"), app.name)
                  .then(images => {
                  if (images.Grid !== null)
                      SteamClient.Apps.SetCustomArtworkForApp(id, images.Grid, "png", 0);
                  if (images.Hero !== null)
                      SteamClient.Apps.SetCustomArtworkForApp(id, images.Hero, "png", 1);
                  if (images.Logo !== null)
                      SteamClient.Apps.SetCustomArtworkForApp(id, images.Logo, "png", 2);
                  //if(images.Grid !== null) SteamClient.Apps.SetCustomArtworkForApp(id, images.GridH, "png", 3);
              })
                  .catch(() => { }); //Maybe display error to the user in the future?
          }
          //This should theoretically not be needed with the new SteamClient.Apps.AddShortcut params but they seem to be pretty broken rn. It's not like it hurts either.
          setTimeout(() => {
              SteamClient.Apps.SetShortcutName(id, app.name);
              SteamClient.Apps.SetShortcutLaunchOptions(id, shortcutLaunchOptions);
              SteamClient.Apps.SetShortcutExe(id, `"${shortcutTarget}"`);
              SteamClient.Apps.SpecifyCompatTool(id, app.compatTool === undefined ? "" : app.compatTool);
          }, 500);
      });
  }

  const FileOptionsModal = (props) => {
      const closeModal = () => { if (props.closeModal) {
          props.closeModal();
      } };
      const { settings, starApp, filepath, serverAPI } = props;
      const [appName, setAppName] = React.useState(filepath.path);
      const [compatTool, setCompatTool] = React.useState();
      const [addToFavorites, setAddToFavorites] = React.useState(false);
      const [addAsShortcut, setAddAsShortcut] = React.useState(false);
      React.useEffect(() => {
          let filenameWithExtension = filepath.realpath.split(/[\\\/]/).pop(); // potentially has an extension
          let filename = filenameWithExtension;
          let fileext = '';
          if (filenameWithExtension) {
              filename = filenameWithExtension.slice(0, filenameWithExtension.lastIndexOf('.'));
              fileext = filenameWithExtension.slice(filenameWithExtension.lastIndexOf('.') + 1, filenameWithExtension.length).toLowerCase();
          }
          let path = filepath.realpath.substring(0, filepath.realpath.length - (filenameWithExtension ? filenameWithExtension.length : 0));
          localStorage.setItem('decky-addtosteam', path);
          let appName = filename || filenameWithExtension || 'MissingAppName';
          setAppName(appName);
          if (['exe', 'bat'].includes(fileext))
              setCompatTool('proton-experimental');
      }, []);
      const onOK = () => {
          let app = {
              name: appName,
              exec: filepath.realpath,
              compatTool: compatTool
          };
          if (addAsShortcut) {
              createAppShortcut(serverAPI, app, settings, "", app.exec);
              let toastData = {
                  title: 'Added Shortcut',
                  body: appName,
                  playSound: true,
                  showToast: true
              };
              serverAPI.toaster.toast(toastData);
          }
          else if (addToFavorites) {
              //TODO: Doing this looses information about the compat tool. An app should also be able to store data about compat tools.
              starApp(app);
          }
          else {
              launchApp(serverAPI, app);
          }
      };
      const nameField = window.SP_REACT.createElement(deckyFrontendLib.TextField, { label: 'Name', focusOnMount: true, value: appName, onChange: (e) => setAppName(e.currentTarget.value) });
      return (window.SP_REACT.createElement(deckyFrontendLib.ConfirmModal, { strTitle: 'File Options', strOKButtonText: addAsShortcut ? 'Add Shortcut' : addToFavorites ? 'Add to starred Apps' : 'Launch', closeModal: closeModal, onOK: onOK, onCancel: closeModal, onEscKeypress: closeModal },
          window.SP_REACT.createElement(deckyFrontendLib.ToggleField, { label: 'Add to favorites', checked: addToFavorites, onChange: addToFavorites => {
                  setAddToFavorites(addToFavorites);
                  if (addToFavorites)
                      setAddAsShortcut(false);
              } }),
          window.SP_REACT.createElement(deckyFrontendLib.ToggleField, { label: 'Add as shortcut', checked: addAsShortcut, onChange: addAsShortcut => {
                  setAddAsShortcut(addAsShortcut);
                  if (addAsShortcut)
                      setAddToFavorites(false);
              } }),
          (addToFavorites || addAsShortcut) && nameField));
  };

  var SpecialSelections;
  (function (SpecialSelections) {
      SpecialSelections[SpecialSelections["FileShortcut"] = -1] = "FileShortcut";
  })(SpecialSelections || (SpecialSelections = {}));
  let appList = [];
  const Content = ({ serverAPI }) => {
      const [dropdownOptions, setDropdownOptions] = React.useState([]);
      const [selectedApp, setSelectedApp] = React.useState(null);
      const [settings] = React.useState(new Settings(serverAPI));
      const [showKeyInput, setShowKeyInput] = React.useState(false);
      const [isStarred, setIsStarred] = React.useState(false);
      React.useEffect(() => {
          settings.readSettings().then(() => {
              if (dropdownOptions.length === 0 || appList.length === 0)
                  buildAppList();
              setShowKeyInput(settings.get("useGridDB"));
          });
      }, []);
      function buildAppList() {
          return new Promise((resolve) => {
              let newDropdownOptions = [];
              appList = [];
              let starredApps = settings.get("starredApps");
              if (starredApps.length > 0)
                  newDropdownOptions.push(...createSubcategory("Starred Apps", settings.get("starredApps")).options);
              fetchApps(serverAPI, "flatpaks")
                  .then(list => {
                  list = list.filter(app => {
                      for (let starredApp of starredApps) {
                          if (starredApp.name === app.name)
                              return false;
                      }
                      return true;
                  });
                  newDropdownOptions.push(createSubcategory("Flatpaks", list));
                  if (settings.get("enableAll")) {
                      return fetchApps(serverAPI, "desktops");
                  }
                  else {
                      return Promise.resolve([]);
                  }
              })
                  .then(list => {
                  if (list.length > 0) {
                      list = list.filter(app => {
                          for (let starredApp of starredApps) {
                              if (starredApp.name === app.name)
                                  return false;
                          }
                          return true;
                      });
                      newDropdownOptions.push(createSubcategory(".desktop files", list));
                  }
              })
                  .finally(() => {
                  if (settings.get("enableAll"))
                      newDropdownOptions.push({ label: "Choose a file...", data: SpecialSelections.FileShortcut });
                  setDropdownOptions(newDropdownOptions);
                  resolve();
              });
          });
      }
      function createSubcategory(categoryName, list) {
          appList = appList.concat(list);
          return {
              label: categoryName,
              options: list.map((a, i) => { return { data: i + appList.length - list.length, label: a.name }; })
          };
      }
      async function createFileShortcut() {
          let lastUsedPath = localStorage.getItem('decky-addtosteam');
          let deckyUserHome = (await serverAPI.callPluginMethod('get_DECKY_USER_HOME', {})).result;
          let path;
          if (lastUsedPath != null) {
              path = lastUsedPath;
          }
          else if (typeof deckyUserHome === 'string') {
              path = deckyUserHome;
          }
          else {
              return;
          }
          let filepath = await serverAPI.openFilePickerV2(0 /* FileSelectionType.FILE */, path, true, undefined, undefined, undefined, false, true);
          if (!filepath) {
              return;
          }
          const starApp = async (app) => {
              let starredApps = settings.get("starredApps");
              if (!starredApps.find((a) => a.name === app.name && a.exec === app.exec))
                  starredApps.push(app);
              settings.set("starredApps", starredApps);
              await buildAppList();
              setSelectedApp(appList.findIndex((a) => a.name === app.name && a.exec === app.exec));
          };
          deckyFrontendLib.showModal(window.SP_REACT.createElement(FileOptionsModal, { filepath: filepath, starApp: starApp, settings: settings, serverAPI: serverAPI }));
      }
      function newShortcut() {
          if (selectedApp != null) {
              createAppShortcut(serverAPI, appList[selectedApp], settings);
          }
      }
      return (window.SP_REACT.createElement(React.Fragment, null,
          window.SP_REACT.createElement(deckyFrontendLib.PanelSection, null,
              window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, null,
                  window.SP_REACT.createElement(deckyFrontendLib.Focusable, { "flow-children": "horizontal", style: { display: "flex", justifyContent: "space-between", padding: 0, gap: "8px" } },
                      window.SP_REACT.createElement("div", { style: { flexGrow: 1 } },
                          window.SP_REACT.createElement(deckyFrontendLib.Dropdown, { strDefaultLabel: "Select App...", rgOptions: dropdownOptions, selectedOption: selectedApp, onChange: (e) => {
                                  setIsStarred(e.data < settings.get("starredApps").length);
                                  if (e.data === SpecialSelections.FileShortcut) {
                                      createFileShortcut();
                                      setSelectedApp(null);
                                  }
                                  else
                                      setSelectedApp(e.data);
                              } })),
                      window.SP_REACT.createElement(deckyFrontendLib.DialogButton, { style: { minWidth: 0, width: "15%", padding: 0 }, onClick: () => {
                              if (selectedApp === null)
                                  return;
                              let toBeStarred = appList[selectedApp];
                              setIsStarred(!isStarred);
                              let starredApps = settings.get("starredApps");
                              if (isStarred) {
                                  starredApps.splice(starredApps.indexOf(appList[selectedApp]), 1);
                              }
                              else {
                                  starredApps.push(appList[selectedApp]);
                              }
                              settings.set("starredApps", starredApps);
                              buildAppList()
                                  .then(() => {
                                  if (isStarred) {
                                      let foundApp = 0;
                                      for (let app of appList) {
                                          if (app.name === toBeStarred.name) {
                                              foundApp = appList.indexOf(app);
                                              break;
                                          }
                                      }
                                      setSelectedApp(foundApp);
                                  }
                                  else {
                                      setSelectedApp(starredApps.length - 1);
                                  }
                              });
                          } }, isStarred ? window.SP_REACT.createElement(FaStar, null) : window.SP_REACT.createElement(FaRegStar, null)))),
              window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, null,
                  window.SP_REACT.createElement(deckyFrontendLib.DialogButton, { style: { marginTop: "8px" }, onClick: () => {
                          if (selectedApp === null)
                              return;
                          launchApp(serverAPI, appList[selectedApp]);
                      } }, "Launch!")),
              window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, null,
                  window.SP_REACT.createElement(deckyFrontendLib.DialogButton, { style: { marginTop: "8px" }, onClick: () => { newShortcut(); } }, "Create Shortcut"))),
          window.SP_REACT.createElement(deckyFrontendLib.PanelSection, { title: "Settings" },
              window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, null,
                  window.SP_REACT.createElement(deckyFrontendLib.ToggleField, { label: "Automatically download Artworks from SteamGridDB", checked: settings.get("useGridDB"), onChange: (e) => { settings.set("useGridDB", e); setShowKeyInput(e); } })),
              window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, null,
                  window.SP_REACT.createElement(GridDBPanel, { enabled: showKeyInput, key: settings.get("gridDBKey"), updateKey: (key) => { settings.set("gridDBKey", key); } })),
              window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, null,
                  window.SP_REACT.createElement(deckyFrontendLib.ToggleField, { label: "Enable Launching all Apps", checked: settings.get("enableAll"), onChange: (e) => {
                          if (e) {
                              deckyFrontendLib.showModal(window.SP_REACT.createElement(deckyFrontendLib.ModalRoot, { bAllowFullSize: true },
                                  "Warning: Launching some Applications will temporarily break the ability to start any Shortcut from the Steam Deck UI.",
                                  window.SP_REACT.createElement("br", null),
                                  "If that happens hold down the Power Button and hit \"Restart Steam\". This is a bug within the Steam Deck and unfortunately cannot be circumvented on my side.",
                                  window.SP_REACT.createElement("br", null),
                                  window.SP_REACT.createElement("br", null),
                                  "By continuing, you acknowledge to have read this Warning. Thanks for reading and have fun!"));
                          }
                          settings.set("enableAll", e);
                          buildAppList();
                      } })))));
  };
  var index = deckyFrontendLib.definePlugin((serverApi) => {
      return {
          title: window.SP_REACT.createElement("div", { className: deckyFrontendLib.staticClasses.Title }, "SDH-QuickLaunch"),
          content: window.SP_REACT.createElement(Content, { serverAPI: serverApi }),
          icon: window.SP_REACT.createElement(FaRocket, null),
          alwaysRender: true,
      };
  });

  return index;

})(DFL, SP_REACT);
